All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PVXMLPlayable Class Referenceabstract

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayable:

## Public Member Functions

| PVXMLPlayable ()
virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
virtual bool | OnStart ()=0
virtual bool | OnRepeat ()
virtual bool | OnDelay ()
virtual void | OnStop ()
virtual void | SetRepeat (PINDEX v)
virtual PINDEX | GetRepeat () const
virtual PINDEX | GetDelay () const
void | SetFormat (const PString &fmt)
void | SetSampleFrequency (unsigned rate)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

PVXMLChannel * | m_vxmlChannel
PChannel * | m_subChannel
PINDEX | m_repeat
PINDEX | m_delay
PString | m_format
unsigned | m_sampleFrequency
bool | m_autoDelete
bool | m_delayDone

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

PVXMLPlayable::PVXMLPlayable | ( |  | ) |

## Member Function Documentation

virtual PINDEX PVXMLPlayable::GetDelay | ( |  | ) | const

inline virtual

References m_delay.

virtual PINDEX PVXMLPlayable::GetRepeat | ( |  | ) | const

inline virtual

References m_repeat.

virtual bool PVXMLPlayable::OnDelay | ( |  | ) |

virtual

virtual bool PVXMLPlayable::OnRepeat | ( |  | ) |

virtual

Reimplemented in PVXMLPlayableFileList, PVXMLPlayableFile, and PVXMLPlayableData.

virtual bool PVXMLPlayable::OnStart | ( |  | ) |

pure virtual

Implemented in PVXMLPlayableFileList, PVXMLPlayableFile, PVXMLPlayableCommand, PVXMLPlayableData, PVXMLPlayableURL, and PVXMLPlayableStop.

virtual void PVXMLPlayable::OnStop | ( |  | ) |

virtual

Reimplemented in PVXMLPlayableFileList, PVXMLPlayableFile, and PVXMLPlayableCommand.

virtual PBoolean PVXMLPlayable::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete
| ) |  |

virtual

Reimplemented in PVXMLPlayableFileList, PVXMLPlayableFile, PVXMLPlayableCommand, PVXMLPlayableTone, PVXMLPlayableData, and PVXMLPlayableURL.

void PVXMLPlayable::SetFormat | ( | const PString & | fmt | ) |

inline

References m_format.

virtual void PVXMLPlayable::SetRepeat | ( | PINDEX | v | ) |

inline virtual

References m_repeat.

void PVXMLPlayable::SetSampleFrequency | ( | unsigned | rate | ) |

inline

References m_sampleFrequency.

## Member Data Documentation

bool PVXMLPlayable::m_autoDelete

protected

PINDEX PVXMLPlayable::m_delay

protected

Referenced by GetDelay().

bool PVXMLPlayable::m_delayDone

protected

PString PVXMLPlayable::m_format

protected

Referenced by SetFormat().

PINDEX PVXMLPlayable::m_repeat

protected

Referenced by GetRepeat(), and SetRepeat().

unsigned PVXMLPlayable::m_sampleFrequency

protected

Referenced by SetSampleFrequency().

PChannel* PVXMLPlayable::m_subChannel

protected

PVXMLChannel* PVXMLPlayable::m_vxmlChannel

protected

The documentation for this class was generated from the following file:

- vxml.h